#include <iostream>

using namespace std;

int main()
{
    int N,M;
    cin>>N>>M;
    int m [M]= {0};
    for (int i=0;i<N;i++)
    {
        int a;
        cin>>a;
        for (int j=0;j<a;j++)
        {
            m[a]++;
        }
    }
    int dosadnost = 0;
    for (int i=0;i<M;i++)
        dosadnost+= m[i] * (N-m[i]);
    cout <<dosadnost;
    return 0;
}